> ## Documentation Index
> Fetch the complete documentation index at: https://moengage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Child Campaigns

> This API retrieves child campaign execution details for Periodic or Business Event-triggered campaigns. Use this API to track execution history of recurring campaigns and monitor the performance of individual instances.


#### Information Retrieved

* Child campaign IDs
* Sent time for each execution
* Status of each child campaign
* Total number of times the parent campaign has been executed

<Note>
  **Note**

  * Currently, you can use this API to get the child of Periodic and Business Event-triggered Email and Push campaigns.
  * You can only retrieve child campaigns for campaigns created via the [Create Campaign API](https://www.moengage.com/docs/api/create-campaigns/create-campaign).
  * Results are paginated with a maximum of 15 children per page.
</Note>

#### Rate Limits

| Rate Limit Name               | Rate Limit                                                                             |
| :---------------------------- | :------------------------------------------------------------------------------------- |
| get child campaign per second | The total number of get child campaigns requests per second per client allowed is 10.  |
| get child campaign per minute | The total number of get child campaigns requests per minute per client allowed is 100. |
| get child campaign per hour   | The total number of get child campaigns requests per hour per client allowed is 6000.  |

<Note>
  **Notes**

  * Breaching the limits will reject the request.
  * Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.
</Note>


## OpenAPI

````yaml /api/campaigns/campaigns.yaml post /campaigns/{parent_campaign_id}/executions
openapi: 3.0.3
info:
  title: MoEngage Campaigns API
  version: '2025-11-20'
  description: >
    The MoEngage Campaigns API allows you to create and manage Push and Email
    campaigns programmatically.


    **Supported Channels:**

    - Push (Android, iOS, Web)

    - Email


    **Supported Delivery Types:**

    - ONE_TIME

    - PERIODIC

    - EVENT_TRIGGERED

    - BUSINESS_EVENT_TRIGGERED

    - DEVICE_TRIGGERED (Push only)

    - LOCATION_TRIGGERED (Push only)

    - BROADCAST_LIVE_ACTIVITY (Push iOS only)

     | Rate Limit Name | Rate Limit |
     | :--- | :--- |
     | Create campaign per second | The total number of create campaign operations per second per client allowed is 5. |
     | Create campaign per minute | The total number of create campaign operations per minute per client allowed is 25. |
     | Create campaign per hour | The total number of create campaign operations per hour per client allowed is 100. |

     You can create 5 campaigns per minute, 25 campaigns per hour, and 100 campaigns per day.

     <Note>
       * Breaching the limits will reject the request.
        * Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.
     </Note>

    For more details, visit [MoEngage Developer
    Documentation](https://developers.moengage.com).
  contact:
    name: MoEngage Developer Team
    email: support@moengage.com
    url: https://developers.moengage.com
servers:
  - url: https://api-{dc}.moengage.com/core-services/v1
    description: MoEngage Campaigns API Server
    variables:
      dc:
        default: '01'
        description: >-
          The ‘dc’ in the API Endpoint URL refers to the MoEngage Data Center
          (DC). MoEngage hosts each customer in a different DC. You can find
          your DC number and replace the value of ‘dc’ in the URL by referring
          to the DC and API endpoint mapping
          [here](/api/introduction#data-centers). Your MoEngage Data Center (DC)
          can be 01, 02, 03, 04, 05, 06, or 101.
security:
  - BasicAuth: []
paths:
  /campaigns/{parent_campaign_id}/executions:
    post:
      tags:
        - Get Campaign Details
      summary: Get Child Campaigns
      description: >
        This API retrieves child campaign execution details for Periodic or
        Business Event-triggered campaigns. Use this API to track execution
        history of recurring campaigns and monitor the performance of individual
        instances.
      operationId: get_child_campaigns
      parameters:
        - name: parent_campaign_id
          in: path
          required: true
          description: >
            The unique ID of the parent campaign (Periodic or Business
            Event-triggered).


            You can fetch the parent campaign ID using the Search Campaigns API.
          schema:
            type: string
          example: camp_periodic_parent_123
        - $ref: '#/components/parameters/MOE-APPKEY'
      requestBody:
        description: >-
          Provide pagination parameters for retrieving child campaign
          executions.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChildCampaignsRequest'
            examples:
              get_periodic_children:
                summary: Get Periodic Campaign Children
                value:
                  request_id: child_req_12345
                  page: 1
                  limit: 15
              get_business_event_children:
                summary: Get Business Event Children
                value:
                  request_id: child_req_67890
                  page: 1
                  limit: 10
              get_second_page:
                summary: Get Second Page of Children
                value:
                  request_id: child_req_page2
                  page: 2
                  limit: 15
      responses:
        '200':
          description: Successfully retrieved child campaign execution details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChildCampaignsResponse'
              examples:
                periodic_executions:
                  summary: Periodic Campaign Executions
                  value:
                    executions:
                      - campaign_id: camp_child_001
                        sent_time: '2024-06-24T14:30:18.908000'
                        status: Sent
                      - campaign_id: camp_child_002
                        sent_time: '2024-06-24T15:27:45.971000'
                        status: Sent
                      - campaign_id: camp_child_003
                        sent_time: '2024-06-24T15:47:43.528000'
                        status: Sent
                      - campaign_id: camp_child_004
                        sent_time: '2024-06-24T15:54:26.254000'
                        status: Sent
                      - campaign_id: camp_child_005
                        sent_time: '2024-06-24T16:35:01.834000'
                        status: Sending
                    total_instances: 8
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    MOE-APPKEY:
      name: MOE-APPKEY
      in: header
      required: true
      description: >
        This is the Workspace ID of your MoEngage account that must be passed
        with the request. You can find it in the MoEngage dashboard at
        **Settings** > **Account** > **APIs** > **Workspace ID (earlier app
        id)**.
      schema:
        type: string
      example: YOUR_WORKSPACE_ID
  schemas:
    GetChildCampaignsRequest:
      type: object
      description: You can request to retrieve child campaign execution details.
      required:
        - request_id
        - limit
        - page
      properties:
        request_id:
          type: string
          description: A unique identifier for this child campaigns retrieval request.
          example: child_req_12345
        limit:
          type: integer
          description: |
            The number of child campaigns to display per page.

            **Maximum:** 15
          minimum: 1
          maximum: 15
          example: 15
        page:
          type: integer
          description: >
            The page number to retrieve.


            For example, if there are 100 child campaigns and limit is 10, there
            will be 10 pages.
          minimum: 1
          example: 1
    ChildCampaignsResponse:
      type: object
      description: Response containing child campaign execution details.
      properties:
        executions:
          type: array
          description: Array of child campaign execution details.
          items:
            type: object
            properties:
              campaign_id:
                type: string
                description: The unique ID of the child campaign.
                example: camp_child_001
              sent_time:
                type: string
                description: The timestamp when the child campaign was sent, in UTC.
                example: '2024-06-24T14:30:18.908000'
              status:
                type: string
                enum:
                  - Sent
                  - Sending
                  - Scheduled
                  - Failed
                description: The status of the child campaign.
        total_instances:
          type: integer
          description: The total number of times the parent campaign has been executed.
          example: 8
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The error code (e.g., "400 Bad Request").
            message:
              type: string
              description: Description of why the request failed.
            target:
              type: string
              description: The target of the error.
            details:
              type: array
              items:
                type: object
                properties:
                  target:
                    type: string
                  message:
                    type: string
            request_id:
              type: string
              description: The request ID associated with this error.
  responses:
    BadRequest:
      description: Bad Request - Missing or invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: 400 Bad Request
              message: request_id key is mandatory field
              target: request_id
              details:
                - target: request_id
                  message: request_id key is mandatory field
              request_id: '11'
    Unauthorized:
      description: Authentication Failure - Invalid or missing authentication credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: 401 Authentication error
              message: Authentication required
              details:
                - code: InvalidValue
                  target: APP_SECRET_KEY
                  message:
                    - code: InvalidValue
                      target: APP_SECRET_KEY
                      message: Invalid APP_SECRET_KEY is provided.
              request_id: ''
    InternalServerError:
      description: Internal Server Error - Unexpected system error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: 500 Internal Server Error
              message: Something went wrong. Please contact Moengage team
              target: string
              details:
                - message: 'Expecting value: line 1 column 1 (char 0)'
                  target: ''
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
      description: >
        Authentication is done via Basic Auth. This requires a base64-encoded
        string of your credentials in the format 'username:password'.


        - **Username**: Use your MoEngage workspace ID (also known as the App
        ID). You can find it in the MoEngage dashboard at **Settings** >
        **Account** > **APIs** > **Workspace ID (earlier app id)**.

        - **Password**: Use your API Key, which you can find within the
        **Campaign report/Business events/Custom templates/Catalog API/Inform
        Report** tile.


        For more information on authentication and getting your credentials,
        refer
        [here](https://www.moengage.com/docs/api/introduction#getting-your-credentials).

````